Gentoo Logo
Gentoo Spaceship

Installation:
Gentoo Handbook
Installation Docs

Documentation:
Home
Listing
About Gentoo
Philosophy
Social Contract

Resources:
Bug Tracker
Developer List
Discussion Forums
Gentoo BitTorrents
Gentoo Linux Enhancement Proposals
IRC Channels
Mailing Lists
Mirrors
Name and Logo Guidelines
Online Package Database
Security Announcements
Staffing Needs
Supporting Vendors
View our CVS

Graphics:
Logos and themes
Icons
ScreenShots

Miscellaneous Resources:
Gentoo Linux Store
Gentoo-hosted projects
IBM dW/Intel article archive




List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Arfrever Frehtes Taifersar Arahesis (arfrever)" <arfrever@g.o>
Subject: gentoo-x86 commit in dev-python/imaging: imaging-1.1.6.ebuild
Date: Sat, 07 Nov 2009 19:25:47 +0000
arfrever    09/11/07 19:25:47

  Modified:             imaging-1.1.6.ebuild
  Log:
  Add src_test().
  (Portage version: 14801-svn/cvs/Linux x86_64)

Revision  Changes    Path
1.9                  dev-python/imaging/imaging-1.1.6.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild?r1=1.8&r2=1.9

Index: imaging-1.1.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- imaging-1.1.6.ebuild	20 Mar 2009 18:52:16 -0000	1.8
+++ imaging-1.1.6.ebuild	7 Nov 2009 19:25:46 -0000	1.9
@@ -1,8 +1,9 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild,v 1.8 2009/03/20 18:52:16 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/imaging/imaging-1.1.6.ebuild,v 1.9 2009/11/07 19:25:46 arfrever Exp $
+
+EAPI="2"
 
-EAPI=2
 inherit eutils distutils
 
 MY_P=Imaging-${PV}
@@ -32,7 +33,7 @@
 		-e "s:\"lib\":\"$(get_libdir)\":" \
 		setup.py || die "sed failed"
 
-	if ! use tk ; then
+	if ! use tk; then
 		# Make the test always fail
 		sed -i \
 			-e 's/import _tkinter/raise ImportError/' \
@@ -42,19 +43,24 @@
 
 src_compile() {
 	distutils_src_compile
-	if use scanner ; then
+	if use scanner; then
 		cd "${S}/Sane"
 		distutils_src_compile
 	fi
 }
 
+src_test() {
+	python_version
+	PYTHONPATH="$(ls -d build/lib.*)" "${python}" selftest.py || die "Tests failed"
+}
+
 src_install() {
 	local DOCS="CHANGES CONTENTS"
 	distutils_src_install
 
 	use doc && dohtml Docs/*
 
-	if use scanner ; then
+	if use scanner; then
 		cd "${S}/Sane"
 		docinto sane
 		local DOCS="CHANGES sanedoc.txt"
@@ -68,10 +74,10 @@
 	doins libImaging/Imaging.h
 	doins libImaging/ImPlatform.h
 
-	if use examples ; then
+	if use examples; then
 		insinto /usr/share/doc/${PF}/examples
 		doins Scripts/*
-		if use scanner ; then
+		if use scanner; then
 			insinto /usr/share/doc/${PF}/examples/sane
 			doins Sane/demo_*.py
 		fi





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-crypt/bcwipe: ChangeLog bcwipe-1.9.3.ebuild
Next by thread:
gentoo-x86 commit in dev-db/postgresql: ChangeLog postgresql-8.1.18.ebuild
Previous by date:
gentoo-x86 commit in app-crypt/bcwipe: ChangeLog bcwipe-1.9.3.ebuild
Next by date:
gentoo-x86 commit in app-xemacs/cedet-common: cedet-common-1.01.ebuild ChangeLog


Updated Nov 23, 2009

Donate to support our development efforts.

Gentoo Centric Hosting: vr.org

VR Hosted

Tek Alchemy

Tek Alchemy

SevenL.net

SevenL.net

php|architect

php|architect

Copyright 2001-2007 Gentoo Foundation, Inc. Questions, Comments? Email www@gentoo.org.